# BankAccountDetail


## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**account_number** | **str** | The bank account number (without separators). &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**account_type** | **str** | The type of bank account. Only applicable to bank accounts held in the USA. The permitted values are: &#x60;checking&#x60;, &#x60;savings&#x60;.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**bank_account_name** | **str** | The name of the bank account. | [optional] 
**bank_account_reference** | **str** | Merchant reference to the bank account. | [optional] 
**bank_account_uuid** | **str** | The unique identifier (UUID) of the Bank Account. &gt;If, during an account holder create or update request, this field is left blank (but other fields provided), a new Bank Account will be created with a procedurally-generated UUID.  &gt;If, during an account holder create request, a UUID is provided, the creation of the Bank Account will fail while the creation of the account holder will continue.  &gt;If, during an account holder update request, a UUID that is not correlated with an existing Bank Account is provided, the update of the account holder will fail.  &gt;If, during an account holder update request, a UUID that is correlated with an existing Bank Account is provided, the existing Bank Account will be updated.  | [optional] 
**bank_bic_swift** | **str** | The bank identifier code. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**bank_city** | **str** | The city in which the bank branch is located.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**bank_code** | **str** | The bank code of the banking institution with which the bank account is registered.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**bank_name** | **str** | The name of the banking institution with which the bank account is held.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**branch_code** | **str** | The branch code of the branch under which the bank account is registered. The value to be specified in this parameter depends on the country of the bank account: * United States - Routing number * United Kingdom - Sort code * Germany - Bankleitzahl &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**check_code** | **str** | The check code of the bank account.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**country_code** | **str** | The two-letter country code in which the bank account is registered. &gt;The permitted country codes are defined in ISO-3166-1 alpha-2 (e.g. &#39;NL&#39;).  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**currency_code** | **str** | The currency in which the bank account deals. &gt;The permitted currency codes are defined in ISO-4217 (e.g. &#39;EUR&#39;).  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**iban** | **str** | The international bank account number. &gt;The IBAN standard is defined in ISO-13616.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_city** | **str** | The city of residence of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_country_code** | **str** | The country code of the country of residence of the bank account owner. &gt;The permitted country codes are defined in ISO-3166-1 alpha-2 (e.g. &#39;NL&#39;).  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_date_of_birth** | **str** | The date of birth of the bank account owner.  | [optional] 
**owner_house_number_or_name** | **str** | The house name or number of the residence of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_name** | **str** | The name of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_nationality** | **str** | The country code of the country of nationality of the bank account owner. &gt;The permitted country codes are defined in ISO-3166-1 alpha-2 (e.g. &#39;NL&#39;).  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_postal_code** | **str** | The postal code of the residence of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_state** | **str** | The state of residence of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**owner_street** | **str** | The street name of the residence of the bank account owner. &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**primary_account** | **bool** | If set to true, the bank account is a primary account. | [optional] 
**tax_id** | **str** | The tax ID number.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**url_for_verification** | **str** | The URL to be used for bank account verification. This may be generated on bank account creation.  &gt;Refer to the [Onboarding and verification](https://docs.adyen.com/platforms/onboarding-and-verification) section for details on field requirements. | [optional] 
**any string name** | **bool, date, datetime, dict, float, int, list, str, none_type** | any string name can be used but the value must be the correct type | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


